#!fields
x:100,110
i:101,102,111,112
h:300,310,320,400,410,420
f:100,110,101,102,111,112
a:400,410,420

&
#!preprocessor_variables
psiAu1=[f100]+[f101],
psiAu2=[f100]+[f102],
psiAd1=[f110]+[f111],
psiAd2=[f110]+[f112],

psiAu1-=[f-100]+[f-101],
psiAu2-=[f-100]+[f-102],
psiAd1-=[f-110]+[f-111],
psiAd2-=[f-110]+[f-112],

A11=<<$psiAu1>*<$psiAd1->>+<<$psiAd1>*<$psiAu1->>,
A12=<<$psiAu2>*<$psiAd2->>+<<$psiAd2>*<$psiAu2->>,

A21=<<(-1)s{-1}>*<$psiAu1>*<$psiAd1->>+<<s{-1}>*<$psiAd1>*<$psiAu1->>,
A22=<<(-1)s{-1}>*<$psiAu2>*<$psiAd2->>+<<s{-1}>*<$psiAd2>*<$psiAu2->>,

A31=<<$psiAu1>*<$psiAu1->>+<<-1>*<$psiAd1>*<$psiAd1->>,
A32=<<$psiAu2>*<$psiAu2->>+<<-1>*<$psiAd2>*<$psiAd2->>,

AB1=<<$A11>*<[f400]>>+<<$A21>*<[f410]>>+<<$A31>*<[f420]>>,
AA1=<<$A11>*<$A11>>+<<$A21>*<$A21>>+<<$A31>*<$A31>>,
Ah1=<<$A11>*<[f300]>>+<<$A21>*<[f310]>>+<<$A31>*<[f320]>>,

AB2=<<$A12>*<[f400]>>+<<$A22>*<[f410]>>+<<$A32>*<[f420]>>,
AA2=<<$A12>*<$A12>>+<<$A22>*<$A22>>+<<$A32>*<$A32>>,
Ah2=<<$A12>*<[f300]>>+<<$A22>*<[f310]>>+<<$A32>*<[f320]>>,


A1=[f100][f-110] + [f110][f-100],
A2=((-1)s{-1})[f100][f-110] + (s{-1})[f110][f-100],
A3=[f100][f-100] + (-1)[f110][f-110],

AB=<<$A1>*<[f400]>>+<<$A2>*<[f410]>>+<<$A3>*<[f420]>>,
AA=<<$A1>*<$A1>>+<<$A2>*<$A2>>+<<$A3>*<$A3>>,
Ah=<<$A1>*<[f300]>>+<<$A2>*<[f310]>>+<<$A3>*<[f320]>>,

Bh=[f400][f300]+[f410][f310]+[f420][f320]

&
#!identities
[f400][f400]=(1),
[f400][f410]=(s{-1})[f420],
[f420][f410]=((-1)s{-1})[f400],
[f410][f410]=(1),
[f410][f420]=(s{-1})[f400],
[f400][f420]=((-1)s{-1})[f410],
[f420][f420]=(1),
[f420][f400]=(s{-1})[f410],
[f410][f400]=((-1)s{-1})[f420],
[f320][f320]=(1)+(-1)[f300][f300]+(-1)[f310][f310]

&
#!propagator
101;102: 1 ,111;112: 1 ,
102;101: -1 ,112;111: -1
&
#!input_polynomial
<
  <1>
  + <<(1/2)[l0]>*<$AB1>>
  + <<(1/2)[l1]>*<$AA1>>
  + <<(1/2)[l4]>*<$Ah1>>
  + <<(1/2)[l5]>*<$Bh>>
  + <<(1/2)[l6]>*<$Ah1>*<$Bh>>
  + <<(1/2)[l7]>*<$AA1>*<$Bh>>
>*<
  <1>
  + <<(1/2)[l0]>*<$AB2>>
  + <<(1/2)[l1]>*<$AA2>>
  + <<(1/2)[l4]>*<$Ah2>>
  + <<(1/2)[l5]>*<$Bh>>
  + <<(1/2)[l6]>*<$Ah2>*<$Bh>>
  + <<(1/2)[l7]>*<$AA2>*<$Bh>>
>

&

#!id_table
0: <$AB>,
1: <2>*<$AA>,
4: <$Ah>,
5: <1/2>*<$Bh>,
6: <$Ah>*<$Bh>,
7: <2>*<$AA>*<$Bh>

&

#!labels
0:"at" ,
1:"aa" ,
4:"ah" ,
5:"th" ,
6:"ahth",
7:"aath"
